// ------------------------------------------------------------------------------
// MCP23017 GPIO functions
// ------------------------------------------------------------------------------

#include "mcp23017-gpio.h"

// ------------------------------------------------------------------------------
byte gpioInit( void )
{
  byte retVal = 0;
  
  Wire.beginTransmission( GPIOEXP_ADDR );
  if( Wire.endTransmission() == 0 )
  {
    retVal = 1;    // Set to 1 if GPIO Module is found
  }

  return retVal;
}

// ------------------------------------------------------------------------------

void gpioWrite( byte reg, byte data )
{
  Wire.beginTransmission( GPIOEXP_ADDR );
  Wire.write( reg );      // Select GPIO register
  Wire.write( data );     // Write value
  Wire.endTransmission();
}
